Page MenuHomePhabricator

OCG shows LTR lists RTL in RTL languages
Closed, ResolvedPublic

Description

OCG returns RTL lists when the list is LTR and the wiki is RTL, it should be LTR list:

Steps to reproduce:
1- Go to this page
2- Make PDF export:


Version: unspecified
Severity: normal

Details

Reference
bz37640

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 12:26 AM
bzimport added a project: Collection.
bzimport set Reference to bz37640.
bzimport added a subscriber: Unknown Object (MLST).
Yamaha5 created this task.Jun 15 2012, 10:32 PM
saper added a comment.Sep 1 2014, 9:24 AM
  • Bug 41254 has been marked as a duplicate of this bug. ***

Is this still an issue? I'm not sure I understand...


As you see this bug still exists

Restricted Application added a project: I18n. · View Herald TranscriptJun 2 2015, 2:20 PM
Ebraminio moved this task from Backlog to PDF on the RTL board.Aug 9 2015, 11:20 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 9 2015, 11:20 AM
Yamaha5 set Security to None.
Ladsgroup renamed this task from PDF export extension problem with Numbered list to OCG shows LTR numerated lists RTL in RTL languages.Sep 3 2015, 9:33 PM
Ladsgroup updated the task description. (Show Details)
Ladsgroup renamed this task from OCG shows LTR numerated lists RTL in RTL languages to OCG shows LTR lists RTL in RTL languages.Sep 3 2015, 9:36 PM
Ladsgroup updated the task description. (Show Details)
ovasileva moved this task from Triage to Tracking on the Proton board.Sep 11 2017, 12:00 PM
ovasileva added subscribers: ABorbaWMF, ovasileva.

@ABorbaWMF - could you confirm if this is also an issue with Electron:

  • open article from any browser
  • select "print to PDF"
  • select single-column

If there's no issue - feel free to close the task. Thanks!

As already announced in Tech News, OfflineContentGenerator (OCG) will not be used anymore after October 1st, 2017 on Wikimedia sites. OCG will be replaced by Electron. You can read more on mediawiki.org.

ABorbaWMF closed this task as Resolved.Sep 18 2017, 11:07 PM
ABorbaWMF claimed this task.

Looks good now. I also tried this article which has a couple lists: https://fa.wikipedia.org/wiki/%D9%85%D8%B4%D9%87%D8%AF